<template>
    <div>
        <table class="table" id="workorder_tbl" >
            <thead>
            <tr>
                <th>Product Title</th>
                <th>Unit</th>
                <th> Ordered Qty </th>
                <th> Received Qty </th>
                <th> Returned Qty </th>
                <th> Remaining Qty </th>
                <th> Return Qty </th>
                <th> Unit Price </th>
                <th> Sub Total</th>

            </tr>
            </thead>
            <tbody>
            <tr v-for="(product,index) in products">
                <td>{{ product.title }}</td>
                <td>{{ product.unit }}</td>
                <td>{{ product.total_qty }}</td>
                <td>{{ product.rec_qty }}</td>
                <td>{{ product.returned_qty }}</td>
                <td>{{ product.rem_qty }}</td>
                <td><input type="number" :name="'purchase_od[' + product.id + '][quantity]'"  v-model="products[index].quantity" class="form-control" v-if="product.rem_qty > 0" :max="product.rem_qty"></td>
                <td>{{ product.unit_price }}</td>
                <td>{{ product.unit_price * product.quantity }}</td>
            </tr>

            </tbody>
        </table>
    </div>
</template>

<script>

    export default {
        props: ['items'],

        data: function() {

            return {
                products: [],
                total: 0,
            };
        },

        methods: {
            calculateSubtotal: function(index){
                let t = this.products[index];
                let q = t.quantity;
                let p = t.unit_price;
                let delivered_amount = parseFloat(p) * parseInt(q);
                t.delivered_amount = delivered_amount;
                this.products.splice(index,1,t);
                this.grandTotal();
            },
            grandTotal: function () {

                for (let i=0; i<this.products.length; i++){
                    this.total += parseFloat(this.products[i].delivered_amount);
                }

            }

        },
        created: function() {
            this.products = this.items;
        },
        mounted() {

        },


    };
</script>